notbugAs an Amazon Associate I earn from qualifying purchases.
Want a good read? Try FreeBSD Mastery: Jails (IT Mastery Book 15)
Port details
rubygem-webpacker1-rails5 Use Webpack to manage app-like JavaScript modules in Rails
1.2 devel Deleted on this many watch lists=0 search for ports that depend on this port Find issues related to this port Report an issue related to this port
1.2Version of this port present on the latest quarterly branch.
Deprecated DEPRECATED: Use devel/rubygem-webpacker-rails5 instead
Expired This port expired on: 2017-08-31
Maintainer: ruby@FreeBSD.org search for ports maintained by this maintainer
Port Added: 2017-06-15 19:43:59
Last Update: 2017-09-03 10:51:31
SVN Revision: 449193
Also Listed In: rubygems
License: MIT
Webpacker makes it easy to use the JavaScript preprocessor and bundler Webpack
to manage application-like JavaScript in Rails. It coexists with the asset
pipeline, as the primary purpose for Webpack is app-like JavaScript, not images,
css, or even JavaScript Sprinkles (that all continues to live in app/assets). It
is, however, possible to use Webpacker for CSS and images assets as well, in
which case you may not even need the asset pipeline. This is mostly relevant
when exclusively using component-based JavaScript frameworks.

WWW: https://github.com/rails/webpacker
SVNWeb : Homepage

There is no configure plist information for this port.

Dependency lines:
  • rubygem-webpacker1-rails5>0:devel/rubygem-webpacker1-rails5

No installation instructions: this port has been deleted.

The package name of this deleted port was:

PKGNAME: rubygem-webpacker1-rails5

There is no flavor information for this port.

distinfo:

TIMESTAMP = 1497538719
SHA256 (rubygem/webpacker-1.2.gem) = eb6b66b313a3cfdaaab9b48d592563ae08fc6ec8a7aadc14253b3064446e34c5
SIZE (rubygem/webpacker-1.2.gem) = 33792


NOTE: FreshPorts displays only information on required and default dependencies. Optional dependencies are not covered.

Build dependencies:
  1. ruby23 : lang/ruby23
  2. gem23 : devel/ruby-gems
Runtime dependencies:
  1. rubygem-activesupport5>0 : devel/rubygem-activesupport5
  2. rubygem-multi_json>=1.2 : devel/rubygem-multi_json
  3. rubygem-railties5>0 : www/rubygem-railties5
  4. yarn>0 : www/yarn
  5. ruby23 : lang/ruby23
  6. gem23 : devel/ruby-gems
Patch dependencies:
  1. ruby23 : lang/ruby23
  2. gem23 : devel/ruby-gems
Extract dependencies:
  1. ruby23 : lang/ruby23
There are no ports dependent upon this port

Configuration Options
     No options to configure

USES:
gem

Master Sites:
  1. https://rubygems.global.ssl.fastly.net/gems/
Port Moves

Number of commits found: 5

Commit History - (may be incomplete: see SVNWeb link above for full details)
DateByDescription
03 Sep 2017 09:51:31
Original commit files touched by this commit  1.2
Revision:449193
rene search for other commits by this committer
Remove expired ports:
2017-08-30 www/speedtest-mini: Discontinued upstream (on June 30, 2017)
2017-08-31 devel/rubygem-sequel3: Use devel/rubygem-sequel instead
2017-08-31 audio/tomahawk: Project is dead upstream.
2017-08-31 mail/rubygem-larch: Unmaintained by upstream, no changes since 2013
2017-08-31 devel/rubygem-sidekiq4: Use devel/rubygem-sidekiq instead
2017-08-31 devel/rubygem-webpacker1-rails5: Use devel/rubygem-webpacker-rails5
instead
2017-08-31 devel/rubygem-sidekiq-cron04: Use devel/rubygem-sidekiq-cron instead
2017-09-01 www/py-django19: Unsupported upstream
2017-09-01 mail/movemail: Out of date
2017-09-01 german/phone: Out of date
2017-09-01 ports-mgmt/fbsdmon: no longer maintained, web site it sends data to
has been taken over by cybersquatters
18 Aug 2017 15:57:49
Original commit files touched by this commit  1.2
Revision:448248
sunpoet search for other commits by this committer
Mark DEPRECATED and set EXPIRATION_DATE to 2017-08-31
05 Aug 2017 03:25:17
Original commit files touched by this commit  1.2
Revision:447386
jrm search for other commits by this committer
Set ruby@FreeBSD.org as maintainer of these ports, so that ruby team can
more easily contribute to their maintenance.
16 Jun 2017 14:59:40
Original commit files touched by this commit  1.2
Revision:443709
jrm search for other commits by this committer
devel/rubygem-webpacker1-rails5: Limit portscout checks to 1.x versions
15 Jun 2017 19:43:49
Original commit files touched by this commit  1.2
Revision:443628
jrm search for other commits by this committer
Create devel/rubygem-webpacker1-rails5, a 1.x version copied from
devel/rubygem-webpacker-rails5

Number of commits found: 5

Login
User Login
Create account

Servers and bandwidth provided by
New York Internet, iXsystems, and RootBSD

This site
What is FreshPorts?
About the authors
Issues
FAQ
How big is it?
The latest upgrade!
Privacy
Forums
Blog
Contact

Search
Enter Keywords:
 
more...

Latest Vulnerabilities
mariadb101-serverJul 22
mariadb102-serverJul 22
mariadb103-serverJul 22
mariadb104-serverJul 22
mariadb55-serverJul 22
mysql56-serverJul 22
mysql57-serverJul 22
mysql80-serverJul 22
percona55-serverJul 22
percona56-serverJul 22
percona57-serverJul 22
drupal8Jul 21
puttyJul 20
putty-gtk2Jul 20
putty-nogtkJul 20

12 vulnerabilities affecting 218 ports have been reported in the past 14 days

* - modified, not new

All vulnerabilities

Last updated:
2019-07-22 15:34:19


Ports
Home
Categories
Deleted ports
Sanity Test Failures
Newsfeeds

Statistics
Graphs
NEW Graphs (Javascript)
Traffic

Calculated hourly:
Port count 37004
Broken 93
Deprecated 100
Ignore 326
Forbidden 3
Restricted 162
No CDROM 74
Vulnerable 37
Expired 14
Set to expire 70
Interactive 0
new 24 hours 4
new 48 hours7
new 7 days27
new fortnight54
new month120

Servers and bandwidth provided by
New York Internet, iXsystems, and RootBSD
Valid HTML, CSS, and RSS.
Copyright © 2000-2019 Dan Langille. All rights reserved.